Public Class 適應症選擇
    Private Sub Set_適應症設定()
        Dim ds2 As New DataSet
        適應症_dgv.DataSource = Nothing : ds2.Clear()
        適應症_dgv.ColumnHeadersHeightSizeMode = DataGridViewColumnHeadersHeightSizeMode.EnableResizing
        適應症_dgv.ColumnHeadersHeight = 25 : 適應症_dgv.AllowUserToAddRows = False
        SQL_適應症設定()
        da.Fill(ds2) : 適應症_dgv.DataSource = ds2.Tables(0) : conn.Close()
        適應症_dgv.Columns(0).FillWeight = 30
        適應症選擇()
    End Sub
    Private Sub SQL_下拉清單載入1()
        SQL_適應症主清單1() : 病症_cb.Items.Clear() : While (dr.Read()) : 病症_cb.Items.Add(dr("適應症")) : End While : conn.Close()
    End Sub
    Private Sub SQL_下拉清單載入2()
        SQL_適應症主清單2() : 療程_cb.Items.Clear() : While (dr.Read()) : 療程_cb.Items.Add(dr("治療建議")) : End While : conn.Close()
    End Sub
    Private Sub 適應症選擇_Load(sender As Object, e As EventArgs) Handles MyBase.Load
        適應症_dgv.SendToBack() : Set_適應症設定() : SQL_下拉清單載入1()
    End Sub
    Private Sub 適應症選擇_Shown(sender As Object, e As EventArgs) Handles MyBase.Shown
        醫生_tb.Text = PA
    End Sub
    Private Sub 適應症選擇_Closed(sender As Object, e As EventArgs) Handles MyBase.Closed
        LoginForm1.Close()
    End Sub
    Private Sub 適應症選擇()
        TreeView1.Nodes.Clear() : Dim 主項數量 As Integer = -1 : Dim 症狀 As String = ""
        For I As Integer = 0 To 適應症_dgv.Rows.Count - 1
            If 症狀 <> 適應症_dgv("適應症", I).Value.ToString Then
                TreeView1.Nodes.Add(適應症_dgv("適應症", I).Value.ToString) : 症狀 = 適應症_dgv("適應症", I).Value.ToString : 主項數量 += 1
            End If
            If 症狀 = 適應症_dgv("適應症", I).Value.ToString Then
                TreeView1.Nodes(主項數量).Nodes.Add(適應症_dgv("治療建議", I).Value.ToString)
            End If
        Next
    End Sub
    Private Sub TreeView1_NodeMouseClick(sender As Object, e As TreeNodeMouseClickEventArgs) Handles TreeView1.NodeMouseClick  ' 判斷是否點擊在 CheckBox 的範圍內
        If e.Node.Bounds.Contains(e.Location) Then                                                                             ' 判斷是否為第二層節點
            If e.Node.Parent IsNot Nothing Then : e.Node.Checked = Not e.Node.Checked : End If                                 ' 切換 CheckBox 的勾選狀態
        Else                                                                                                                   ' 如果是第一層節點，判斷是否已經展開
            If e.Node.IsExpanded Then : e.Node.Expand()                                                                        ' 如果已經展開，則收合
            Else : e.Node.Collapse() : End If                                                                                  ' 如果未展開，則展開
        End If
    End Sub
    Private Sub CheckChildNodes(parentNode As TreeNode)
        For Each childNode As TreeNode In parentNode.Nodes
            If childNode.Checked Then : PA1 = childNode.Text : SQL_銷售明細新增() : End If
            If childNode.Nodes.Count > 0 Then : CheckChildNodes(childNode) : End If            ' 如果有子節點，遞迴檢查
        Next
    End Sub
    Private Sub 確認_bt_Click(sender As Object, e As EventArgs) Handles 確認_bt.Click
        If 病歷號_tb.Text = "" Then
            MsgBox("病歷號 沒有填寫!!")
        Else
            Dim 流水號 As String = "" : Dim 流水 As Integer : SQL_查詢銷售()
            If dr.Read Then
                PA = dr("流水號").ToString : SQL_銷售明細刪除()
                For Each parentNode As TreeNode In TreeView1.Nodes : CheckChildNodes(parentNode) : Next
            Else
                SQL_銷售流水號()
                If dr.Read() Then : 流水 = Double.Parse(Strings.Right(dr("流水號").ToString, 8)) : Else : 流水 = 0 : End If : conn.Close() : 流水 += 1
                If 流水 < 10 Then : 流水號 = "PO" & "0000000" & 流水
                ElseIf 流水 > 9 And 流水 < 100 Then : 流水號 = "PO" & "000000" & 流水
                ElseIf 流水 > 99 And 流水 < 1000 Then : 流水號 = "PO" & "00000" & 流水
                ElseIf 流水 > 999 And 流水 < 10000 Then : 流水號 = "PO" & "0000" & 流水
                ElseIf 流水 > 9999 And 流水 < 100000 Then : 流水號 = "PO" & "000" & 流水
                ElseIf 流水 > 99999 And 流水 < 1000000 Then : 流水號 = "PO" & "00" & 流水
                ElseIf 流水 > 999999 And 流水 < 10000000 Then : 流水號 = "PO" & "0" & 流水
                ElseIf 流水 > 9999999 Then : 流水號 = "PO" & 流水 : End If : PA = 流水號
                SQL_銷售控制新增() : SQL_銷售明細刪除()
                For Each parentNode As TreeNode In TreeView1.Nodes : CheckChildNodes(parentNode) : Next
            End If
            MsgBox("資料傳遞 至 業務系統 完成!!")
            病歷號_tb.Text = "" : 適應症選擇()
        End If
    End Sub
    Private Sub 病症_cb_SelectedIndexChanged(sender As Object, e As EventArgs) Handles 病症_cb.SelectedIndexChanged
        療程_cb.Text = "" : SQL_下拉清單載入2()
    End Sub
    Private Sub 存檔_bt_Click(sender As Object, e As EventArgs) Handles 存檔_bt.Click
        If 病症_cb.Text = "" Or 病症_cb.Text = "" Then : MsgBox("資料空白無法執行!!") : Else
            SQL_適應症流水()
            If dr.Read Then : MsgBox("資料已存在不需要重複新增!!") : Else
                Dim 流水號 As String = "" : Dim 流水 As Integer
                SQL_適應症流水1()
                If dr.Read() Then : 流水 = Double.Parse(Strings.Right(dr("流水號").ToString, 8)) : Else : 流水 = 0 : End If : conn.Close() : 流水 += 1
                If 流水 < 10 Then : 流水號 = "IN" & "0000000" & 流水
                ElseIf 流水 > 9 And 流水 < 100 Then : 流水號 = "IN" & "000000" & 流水
                ElseIf 流水 > 99 And 流水 < 1000 Then : 流水號 = "IN" & "00000" & 流水
                ElseIf 流水 > 999 And 流水 < 10000 Then : 流水號 = "IN" & "0000" & 流水
                ElseIf 流水 > 9999 And 流水 < 100000 Then : 流水號 = "IN" & "000" & 流水
                ElseIf 流水 > 99999 And 流水 < 1000000 Then : 流水號 = "IN" & "00" & 流水
                ElseIf 流水 > 999999 And 流水 < 10000000 Then : 流水號 = "IN" & "0" & 流水
                ElseIf 流水 > 9999999 Then : 流水號 = "IN" & 流水 : End If : PA = 流水號
                SQL_適應症新增1() : Set_適應症設定()
            End If
        End If
    End Sub
    Private Sub 刪除_bt_Click(sender As Object, e As EventArgs) Handles 刪除_bt.Click
        Dim cc As MsgBoxResult = MsgBox("確定要刪除這筆適應症資料嗎??", MsgBoxStyle.OkCancel)
        If cc = MsgBoxResult.Ok Then : SQL_適應症刪除1() : Set_適應症設定() : End If
    End Sub
End Class